# RPM specfile for ORBit module
# Generated Fri May 31 16:16:47 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.45 2002/05/14 18:20:38 dobey Exp $

%define nam	ORBit
%define ver	0.5.16
%define ximrev	1

Name:     	ORBit
Version: 	0.5.16
Release:	1.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 7.3 / i386
Copyright:	LGPL/GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://labs.redhat.com/orbit/
Epoch:		1
Source0:	ORBit-0.5.16.tar.gz
Patch0:		orbit-genrand.patch
Summary:	A high-performance CORBA Object Request Broker
Group:		System Environment/Libraries
Requires:	popt >= 1.5
Requires:	glib >= 1.2.0
Provides:	ximian-ORBit = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description

ORBit is a high-performance CORBA (Common Object Request Broker 
Architecture) ORB (object request broker). It allows programs to 
send requests and receive replies from other programs, regardless 
of the locations of the two programs. CORBA is an architecture that 
enables communication between program objects, regardless of the 
programming language they're written in or the operating system they
run on.



You will need to install this package and ORBIT-devel if you want to 
write programs that use CORBA technology.


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
/usr/lib/lib*.so.*
/usr/bin/orbit-event-server
/usr/bin/orbit-name-server
/usr/bin/name-client
/usr/bin/orbit-ird
/usr/bin/ior-decode
/usr/bin/old-name-server
/usr/share/idl/orbit-1.0/*idl


%post
ldconfig

%postun
ldconfig

%package -n ORBit-devel
Summary:	A high-performance CORBA Object Request Broker.
Group:		Development/Libraries
Requires:	indent
Requires:	glib-devel
Requires:	%{name} = %{PACKAGE_VERSION}
Provides:	%{nam}-devel
Provides:	ximian-ORBit-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n ORBit-devel

This package contains the header files, libraries and utilities 
necessary to write programs that use CORBA technology. If you want to
write such programs, you'll also need to install the ORBIT package.


%files -n ORBit-devel
%defattr(-, root, root)
/usr/bin/orbit-idl
/usr/bin/orbit-config
/usr/bin/libIDL-config
/usr/include/orbit-1.0/IIOP
/usr/include/orbit-1.0/orb
/usr/include/orbit-1.0/ORBitutil
/usr/include/orbit-1.0/ORBitservices/*.h
/usr/include/orbit-1.0/*.h
/usr/include/libIDL-1.0/libIDL
/usr/lib/*.sh
/usr/share/info/libIDL.info*
/usr/lib/lib*.a
/usr/lib/lib*.so
/usr/share/aclocal/*
/usr/lib/pkgconfig/*
/usr/lib/lib*.la


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n ORBit-0.5.16
    ;;
all)
%setup  -q -n ORBit-0.5.16
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri May 31 2002 Ximian, Inc.

- Version: 1:0.5.16-1.ximian.1
- Summary: New build.
- New automated build.

* Mon Apr 29 2002 Ximian, Inc.

- Version: 0.5.15-1.ximian.0.1
- Summary: New build.
- New automated build.

* Mon Mar 11 2002 Ximian, Inc.

- Version: 0.5.14-1.ximian.1
- Summary: New build.
- New automated build.

